Subject: bug#19178: closed (Re: bug#19178: 11.88; 11.88 Xemacs 11.88 problem with env and labels)

From: Uwe Brauer <[email-masked]>
Date: Thu, 27 Nov 2014 18:58:18 +0100

Hi Mosè,

   > Hi Uwe and all,
   > 2014-11-27 11:39 GMT+01:00 Uwe Brauer <[email-masked]>:

   > I hope it's clear I wrote those messages in a hurry, just to give the idea.

I was going to write you. I changed nullp to null applied your old patch and
it did not work as expected. *However* your *new* patch

   > I changed my mind. I propose the attached patch which restores (full)
   > compatibility with the old version of LaTeX-label: the optioanl `type'
   > argument select the look up table to be used for the default prefix of
   > the label, if it's nil (or absent) you are always prompted for a
   > label.  AUCTeX code always uses the appropriate value for the type
   > argument, but users will also be able to force the insertion of the
   > label (or continue to use the old syntax of the function).

Works beautifully! Thanks for all your efforts, I appreciate it a lot. 
(I still prefer some days more of testing before trying to release a
Xemacs pkg)

Uwe